GetImage

[POST] .../v1/paymenttype/getimage

Returns image payment method. Use this method to retrieve images attached to payment methods for POS and back-office payment method presentation. The response returns PaymentTypeImage records and supports id and payment_type_id filters while ids and payment_type_ids fields. The caller must have payment method select permission; missing body, denied access, invalid filters, missing images and storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
id int Image ID.
payment_type_id int Payment method ID.

Request Example

{
  "filters": [
    {
      "Field": "payment_type_id",
      "Operator": "In",
      "Value": "3"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of PaymentTypeImage Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "id": 15,
      "payment_type_id": 3,
      "width": 128,
      "height": 128,
      "size": 4096,
      "url": "https://cdn.example.com/payment-types/3.png",
      "last_update": 1712345600
    }
  ]
}